<?php	
// Enable short codes in widgets
add_filter('widget_text', 'do_shortcode');

// Add custom menu short code
function print_menu_shortcode($atts, $content = null) {
    extract(shortcode_atts(array( 'name' => null, ), $atts));
    return wp_nav_menu( array( 'menu' => $name, 'echo' => false ) );
}
add_shortcode('menu', 'print_menu_shortcode');

// Remove primary navigation from Canvas
add_action('wp_head', 'remove_nav');
function remove_nav() {
	remove_action('woo_header_after','woo_nav');
}
// Replace navigation, but put it above the header instead of below it
add_action('wp_head', 'add_nav');
function add_nav() {
	add_action('woo_header_inside','woo_nav');
}
// Add social buttons to header
add_action( 'woo_header_inside', 'connect' );
function connect() { ?>
    <div id="sociallinks" class="fr">
    	<div id="icons">
    		 <a class="social-link ico-rss" href="<?php if ( get_option('woo_feed_url') ) { echo get_option('woo_feed_url'); } else { echo get_bloginfo_rss('rss2_url'); } ?>" target="_blank" title="Subscribe"><img src="<?php bloginfo("stylesheet_directory"); ?>/images/rss.png" alt="RSS" /></a>
			 <?php if (get_option('woo_connect_facebook')): ?>
    			<a class="social-link ico-facebook" href="<?php echo get_option('woo_connect_facebook'); ?>" target="_blank" title="Facebook"><img src="<?php bloginfo("stylesheet_directory"); ?>/images/facebook.png" alt="Facebook" /></a>
    		<?php endif; ?> 
		<?php if (get_option('woo_connect_linkedin')): ?>
			<a class="social-link ico-linkedin" href="<?php echo get_option('woo_connect_linkedin'); ?>" target="_blank" title="LinkedIn"><img src="<?php bloginfo("stylesheet_directory"); ?>/images/linkedin.png" alt="LinkedIn" /></a>
		<?php endif; ?>   		
        </div><!-- /#icons -->      
    	<div class="fix"></div>
    </div><!-- /#sociallinks --><?php
} 

// add home page content
add_action( 'woo_post_inside_before', 'homepagecontent' );
function homepagecontent() { 
	if (is_front_page()) { ?>
    <div class="entry">
	    <div class="threecol-one">
		<?php
		$my_postid = get_page_by_path('home/home-left-teaser'); //This looks for a child page of Home called Home Left Teaser
		$content_post = get_post($my_postid->ID);
		$content = $content_post->post_content;
		$content = apply_filters('the_content', $content);
		$content = str_replace(']]>', ']]>', $content);
		echo $content;
		?>
        </div>
        <div class="threecol-one">
		<?php
		$my_postid = get_page_by_path('home/home-center-teaser'); //This looks for a child page of Home called Home Center Teaser
		$content_post = get_post($my_postid->ID);
		$content = $content_post->post_content;
		$content = apply_filters('the_content', $content);
		$content = str_replace(']]>', ']]>', $content);
		echo $content;
		?>
        </div>
        <div class="threecol-one last">
        <?php if (get_option('woo_homecol3head') != '') { ?><h1><?php echo get_option('woo_homecol3head'); ?></h1><?php } ?>
        <?php if (get_option('woo_homecol3subhead') != '') { ?><h6><?php echo get_option('woo_homecol3subhead'); ?></h6><?php } ?>
        
        <?php if (get_option('woo_homecol3alttext') != '') { ?><p><?php echo get_option('woo_homecol3alttext'); ?></p><?php } else { ?>
        <?php $args = array('cat'=> get_option('woo_featcat'),'posts_per_page' => get_option('woo_featcount'));
		$the_query = new WP_Query( $args ); ?>
		<ul id="homeposts">
						<?php while ( $the_query->have_posts() ) : $the_query->the_post(); ?>
						<li>
							<div class="posttitle">
								<h2><a href="<?php the_permalink(); ?>" title="<?php the_title(); ?>"><?php the_title(); ?></a></h2>
								<p class="meta"><?php the_time(get_option('date_format')); ?></p>
							</div><!-- /.posttitle -->
							<p><?php excerpt('20'); ?></p>
							<p><a href="<?php the_permalink(); ?>" title="<?php _e('Read More',woothemes); ?>" class="button">Read More</a></p>
						</li>
						<?php endwhile;
						// Reset Post Data
						wp_reset_postdata() ?>			
		</ul>
                    <?php } ?>
        </div>
	</div><!-- /.entry -->
    <?php }
	
}

// Add more options to theme options panel
function woo_options_add($options) {

$other_entries = array("Select a number:","1","2","3","4","5","6","7","8","9","10","11","12","13","14","15","16","17","18","19");
//Access the WordPress Categories via an Array
$woo_categories = array();  
$woo_categories_obj = get_categories('hide_empty=0');
foreach ($woo_categories_obj as $woo_cat) {
    $woo_categories[$woo_cat->cat_ID] = $woo_cat->cat_name;}
$categories_tmp = array_unshift($woo_categories, "Select a category:");    

$options[] = array( "name" => "Home Page Custom Settings",
					"type" => "heading",
					"icon" => "general");

$options[] = array( "name" => "Column 1 title",
					"desc" => "Add a title to the first column of your three column home page layout.",
					"id" => "woo_homecol1head",
					"type" => "text");

$options[] = array( "name" => "Column 1 subtitle",
					"desc" => "Add a subtitle to the first column of your three column home page layout.",
					"id" => "woo_homecol1subhead",
					"type" => "text");

$options[] = array( "name" => "Column 1 text",
					"desc" => "Add some content to the first column of your three column home page layout.",
					"id" => "woo_homecol1text",
					"type" => "textarea");

$options[] = array( "name" => "Column 1 read more link",
					"desc" => "Add a read more link to the first column of your three column home page layout.",
					"id" => "woo_homecol1link",
					"type" => "text");

$options[] = array( "name" => "Column 2 title",
					"desc" => "Add a title to the second column of your three column home page layout.",
					"id" => "woo_homecol2head",
					"type" => "text");

$options[] = array( "name" => "Column 2 subtitle",
					"desc" => "Add a subtitle to the second column of your three column home page layout.",
					"id" => "woo_homecol2subhead",
					"type" => "text");

$options[] = array( "name" => "Column 2 text",
					"desc" => "Add some content to the second column of your three column home page layout.",
					"id" => "woo_homecol2text",
					"type" => "textarea");

$options[] = array( "name" => "Column 2 read more link",
					"desc" => "Add a read more link to the second column of your three column home page layout.",
					"id" => "woo_homecol2link",
					"type" => "text");

$options[] = array( "name" => "Column 3 title",
					"desc" => "Add a title to the third column of your three column home page layout.",
					"id" => "woo_homecol3head",
					"type" => "text");

$options[] = array( "name" => "Column 3 subtitle",
					"desc" => "Add a subtitle to the third column of your three column home page layout.",
					"id" => "woo_homecol3subhead",
					"type" => "text");

$options[] = array( "name" => "Column 3 Alternate Text",
					"desc" => "Add a text message to the third column of your three column home page layout if you don't want to list recent posts.",
					"id" => "woo_homecol3alttext",
					"type" => "textarea");
					
$options[] = array(	"name" => "Column 3 Category",
					"desc" => "Select the category to use on your home page.",
					"id" => "woo_featcat",
					"std" => "Select a category:",
					"type" => "select",
					"options" => $woo_categories);
				
$options[] = array(	"name" => "Number of Posts",
					"desc" => "Select the number of posts to display on your home page.",
					"id" => "woo_featcount",
					"std" => "Select a number:",
					"type" => "select",
					"options" => $other_entries);   
	
	// Return new options
	return $options;
} 
add_action("woo_top","addEntryClass");
function addEntryClass() {
	if (is_single() || is_page_template("template-sitemap.php")) { ?>
		<script type="text/javascript">	
		jQuery(document).ready(function(){
  jQuery('div.entry').attr('rel', 'scrollcontent1');
});
		</script><?php
	}
}

add_action( 'woo_top', 'headercode' );
function headercode() { ?>
<link href='http://fonts.googleapis.com/css?family=Ubuntu+Condensed' rel='stylesheet' type='text/css'>
<?php if (!is_front_page()) { ?>
<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.6.2/jquery.min.js"></script>

<!--[if IE 7]>
<style type="text/css">

#sidebar .widget ul a {
padding-left:15px;
}
#sidebar .widget_nav_menu li:hover,#sidebar .widget_nav_menu .current_page_item  {
	background:transparent url(/wp-content/themes/fitz_thor/images/list-arrow.png) no-repeat center left;
}
#sidebar .widget_nav_menu li a:hover,#sidebar .widget_nav_menu .current_page_item a {
	background-image:none;
}
</style>
<![endif]-->
<?php }
}

// Custom Excerpt Title Content scripts
function excerpt($num) {
$limit = $num+1;
$excerpt = explode(' ', get_the_excerpt(), $limit);
array_pop($excerpt);
$excerpt = implode(" ",$excerpt)."...";
echo $excerpt;
}

function content($num) {
$theContent = get_the_content();
$output = preg_replace('/<img[^>]+./','', $theContent);
$limit = $num+1;
$content = explode(' ', $output, $limit);
array_pop($content);
$content = implode(" ",$content)."...";
echo $content;
}

function title($num) {
$limit = $num+1;
$title = explode(' ', get_the_title(), $limit);
array_pop($title);
$title = implode(" ",$title)."...";
echo $title;
}

?>